import { TemplateRef, OnInit, ElementRef, EventEmitter } from '@angular/core';
export declare class GrwitOption implements OnInit {
    private _element;
    class: string;
    value: any;
    readonly click: EventEmitter<any>;
    itemContent: TemplateRef<any>;
    constructor(_element: ElementRef<HTMLElement>);
    ngOnInit(): void;
    clickProxy(): void;
}
